#include "acquireControlsWindow.h"

AcquireControlsWindow :: AcquireControlsWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn) : UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn) 
{
	currentFileName = "";
	dispFileName = "Current File:";
	numBeats = 2;
	sprintf(dispNumBeats, "Num Divisions: 1");
	sprintf(dispDetailNum, "Detail Scrap:");
	detailNum = -1;
}

void AcquireControlsWindow :: setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn)
{
	xMin = xMinIn;
	xMax = xMaxIn;
	yMin = yMinIn;
	yMax = yMaxIn;
}


void AcquireControlsWindow :: draw()
{	
  glColor3f( 1.0, 1.0, 1.0);
  	
  glLineWidth( 1.0 );	  	

 	glBegin( GL_LINE_STRIP );
 		glVertex3f(xMin, yMin, 0.0);
 		glVertex3f(xMin, yMax, 0.0);
 		glVertex3f(xMax, yMax, 0.0);
 		glVertex3f(xMax, yMin, 0.0);
 		glVertex3f(xMin, yMin, 0.0);
	glEnd();
	
	glColor3f( 0.4, 0.4, 0.4 );
	glRectf( xMin + 1, yMin + 1, xMax - 1, yMax - 1);	

  glColor3f( 1.0, 1.0, 1.0);	
	bitmapString( dispFileName.c_str(), xMin + 5, yMax - 18, xMax - 150 );
	bitmapString( dispDetailNum, xMin + 375, yMax - 18, xMax - 5 );	
	
	bitmapString( "Grid Tempo: 120.0 bpm", xMin + 5, yMin + 10, xMax - 5);
	bitmapString( "Grid Division: 1/8", xMin + 200, yMin + 10, xMax - 5);
	bitmapString( dispNumBeats , xMin + 375, yMin + 10, xMax - 5);
	

}


void AcquireControlsWindow :: setDetailNum( int detailNumIn )
{ 
	detailNum = detailNumIn; 
	if( detailNum == -1 )
		sprintf( dispDetailNum, "Detail Scrap:");
	else
		sprintf( dispDetailNum, "Detail Scrap: %d", detailNum + 1); 
	
}