#ifndef ACQUIRE_CONTROLS_WINDOW
#define ACQUIRE_CONTROLS_WINDOW

//Window for acquire view buttons and controls

#include "uiElement.h"
#include <string>

class AcquireControlsWindow : public UiElement
{
public:

	//Constructor
	AcquireControlsWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);
	
	//Destructor
	~AcquireControlsWindow() {};
	
	void draw();
	
	void setCurrentFileName( std::string fileNameIn ) { currentFileName = fileNameIn; dispFileName = "Current File: " + currentFileName; };
	void setNumBeats( int numBeatsIn ) { numBeats = numBeatsIn; sprintf( dispNumBeats, "Num Divisions: %d", numBeats); };
	void setDetailNum( int detailNumIn );
	int getDetailNum() { return detailNum; };
	
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);	
	
protected:

	float tempo;
	
	int numBeats;
	char dispNumBeats[50];
	
	int detailNum;
	char dispDetailNum[50];
	
	std::string currentFileName;
	std::string dispFileName;

};

#endif