#ifndef ACQUIRE_TIME_GRID
#define ACQUIRE_TIME_GRID

//class that manages the acquire view waveform display time grid

#include "uiElement.h"
#include "timeGridUtil.h"
#include <iostream>
#include <math.h>

class AcquireTimeGrid : public UiElement
{
public:

	//Constructor
	AcquireTimeGrid(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, float xMinDispIn, float xMaxDispIn, int numBeatsIn, float beatDivisionIn, TimeGridUtil* globalTimeGridIn, bool activeIn = false);	
	
	//Destructor
	~AcquireTimeGrid() {};
	
	void draw();
	
	void setNumBeats(int numBeatsIn);
	int getNumBeats() { return numBeats; };
	void setBeatDivision(float beatDivisionIn);
	float getBeatDivision() { return beatDivision; };
	void updateForNewTempo();
	
	void setNumSamplesTotal( long numSamplesTotalIn ) { numSamplesTotal = numSamplesTotalIn; };
	void setNumSamplesPerDivision( long numSamplesPerDivisionIn ) { numSamplesPerDivision = numSamplesPerDivisionIn; };
	
	void setXMin(float xIn) { xMin = xIn; };
	void setXMax(float xIn) { xMax = xIn; }	;
	void setYPositions(float yMinIn, float yMaxIn) { yMin = yMinIn; yMax = yMaxIn; };
	void setXMinMaxDisp(float xMinDispIn, float xMaxDispIn) { xMinDisp = xMinDispIn; xMaxDisp = xMaxDispIn; };
	
	void setActive(bool activeIn) { active = activeIn; };
	bool isActive() { return active; };
	
	long getNumSamplesTotal() { return numSamplesTotal; };
	float getNumSamplesPerDivision() { return numSamplesPerDivision; };	

protected:

	bool active;
	int numBeats;
	float beatDivision;
	long numSamplesTotal;
	float numSamplesPerDivision;
	
	float xMinDisp;
	float xMaxDisp;
	
	TimeGridUtil* globalTimeGrid;
	
	void calcNumSamplesTotal();
	void calcNumSamplesPerDivision();

};

#endif