#ifndef ACQUIRE_VIEW_SCROLL_BAR
#define ACQUIRE_VIEW_SCROLL_BAR

//Class for UI ScrollBar element in aquire view waveform display (uses summaries for long waveforms)

#include "uiElement.h"
#include <math.h>
#include <iostream>

class AcquireViewScrollBar : public UiElement
{
public:

	//Constructor
	AcquireViewScrollBar(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, bool horizIn, long indexLengthIn, long minIndexActiveIn, long maxIndexActiveIn, float summaryTranslateFactorIn = 1.0);
	
	//Destructor
	~AcquireViewScrollBar() {};
	
	void draw();
	
	void mouseDown(Point2D point);
	void mouseUp(Point2D point);
  void mouseMotion(Point2D point);
  
  bool isInsideActiveRect(Point2D point) { return ((point.x >= activeRectMinX) && (point.x <= activeRectMaxX)); };
  
  void changeIndexScale(long newIndexLength);
  long getMinIndexActive() { return minIndexActive; }
  long getMaxIndexActive() { return maxIndexActive; }
  
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);

protected:
	
	bool horiz;	//Horizontal ScrollBar? If not, it is vertical
	long maxIndex;
	long minIndexActive;
	long maxIndexActive;
	
	float summaryTranslateFactor;
	
	float activeRectMinX;
	float activeRectMaxX;
	float minimumActiveRectWidth;	
	
	Point2D initialMouseLoc;
	long initialActiveWidth;
	long initialCenterIndexActive;
	

};

#endif