#ifndef AUDIO_ELEMENT
#define AUDIO_ELEMENT

#include "audioPlayer.h"
#include "uiElement.h"

class AudioElement : public UiElement
{
public:

	// Constructor
  AudioElement(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, bool activeIn = false): UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn, activeIn) {};
  
  // Destructor
  ~AudioElement() {};
  
  virtual inline bool isAudioElement(Point2D point) { return true; };
  virtual AudioPlayer* getAudioPlayer() { return audioPlayer; };
  virtual bool isPlaying() { return audioPlayer->isPlaying; };
  virtual SAMPLE getStartSample() { return audioPlayer->startSample; };
  
protected:
	AudioPlayer* audioPlayer;
	
};

#endif