#ifndef BLOCK_ITEM_SCROLLBAR
#define BLOCK_ITEM_SCROLLBAR

//Scrollbar for windows which have block items

#include "uiElement.h"
#include <math.h>
#include <iostream>

class BlockItemScrollBar : public UiElement
{
public:

	//Constructor
	BlockItemScrollBar(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, float numPixlesPerItemIn, long numItemsIn, float minDisplayedPixelOffsetIn);
	
	//Destructor
	~BlockItemScrollBar() {};
	
	void draw();
	
	void mouseDown(Point2D point);
	void mouseUp(Point2D point);
  void mouseMotion(Point2D point);
  
  bool isInsideActiveRect(Point2D point) { return ((point.y >= activeRectMinY) && (point.y <= activeRectMaxY)); };
  
  void setNumItems(long numItemsIn);
  long getNumItems() { return numItems; };
  
  long getMinDisplayedPixelOffset() { return minDisplayedPixelOffset; };
  void setMinDisplayedPixelOffset(float offsetIn);
	void clickOutsideActiveRect(Point2D mouseLoc);
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);  

protected:
	
	long numItems;
	float numPixelsPerItem;
	float maxPixelPopulated;
	float minDisplayedPixelOffset;
	float displayHeight;
	
	float activeRectMinY;
	float activeRectMaxY;
	float minimumActiveRectWidth;	
	
	Point2D initialMouseLoc;
	float activeWidth;
	float initialUpperEdgeActiveY;
	
	void enforceMinActiveRectWidth();

};

#endif