#ifndef DETAIL_EDIT_WINDOW
#define DETAIL_EDIT_WINDOW

//Class for detailed trimming and editing window

#include "audioElement.h"

class DetailEditWindow : public AudioElement
{
public:

	//Constructor
	DetailEditWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, SAMPLE** dataIn, long startSampleIn, long playLengthIn, int numChannelsIn, int summaryNumIn = -1,  int numChannelsDisplayedIn = 0);
	
	//Destructor
	~DetailEditWindow() {};
	
	void draw() {};
	
protected:

	SAMPLE** data;
	SAMPLE** summaryData;	//Stores a reduced "envelope" of the data for more efficient display if data is long (Might not be needed)
	long dataLength;
	long summaryLength;
	float numIndicesPerSummarySample;
	bool usingSummary;

};

#endif