#ifndef FILE_ITEM_DISPLAY
#define FILE_ITEM_DISPLAY

//Class for displaying file name text

#include "uiElement.h"
#include <string>

class FileItemDisplay : public UiElement
{
public:

	//Constructor
	FileItemDisplay(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, std::string itemNameIn, bool isDirIn, bool selectedIn = false) : UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn), itemName(itemNameIn), isDir(isDirIn), selected(selectedIn) {};
	
	//Destructor
	~FileItemDisplay() {};
	
	void mouseDown(Point2D mouseLoc);
	void mouseUp(Point2D mouseLoc);
  void mouseMotion(Point2D mouseLoc);
  
	void draw();
	void drawWithOffset(float pixelOffsetIn);
	
	bool isSelected() { return selected; };
	bool isWav();
	std::string getName() { return itemName; };
	
protected:

	std::string itemName;
	bool isDir;
	
	bool selected;

};

#endif