#ifndef LINE_DISPLAY_2D
#define LINE_DISPLAY_2D

#include "uiElement.h"
#include <memory.h>
#include <math.h>
#include <iostream>

//Class which stores data and formats it for display as a 2D line given specific start and end indices, max values and display coordinates

class LineDisplay2D : public UiElement
{
public:

	//Constructor
	LineDisplay2D(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, SAMPLE* dataIn, long dataLengthIn, int minDataIndexDisplayedIn, int maxDataIndexDisplayedIn, SAMPLE maxDataAmplitudeDisplayedIn, bool drawZeroLineIn );
	
	//Destructor
	~LineDisplay2D();
	
	void draw();
	void drawWithOffset(float pixelOffsetIn);
	
	void changeDisplayedIndexRange( int minDataIndexDisplayedIn, int maxDataIndexDisplayedIn );
	void setData( SAMPLE* dataIn, long dataLengthIn ) { data = dataIn; dataLength = dataLengthIn; };	
	void resize(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn) { xMin = xMinIn; xMax = xMaxIn; yMin = yMinIn; yMax = yMaxIn; };
	void setDrawZeroLine( bool drawZeroLineIn ) { drawZeroLine = drawZeroLineIn; };

	void generateDisplayVals();

protected:

	//Data array and its length
	SAMPLE* data;
	long dataLength;
	
	//Arrays of display points and their length
	float* displayXVals;
	float* displayYVals;
	long displayedIndexRangeLength;
	int displayLength;
	
	//Limits on data to be displayed
	long minDataIndexDisplayed;
	long maxDataIndexDisplayed;
	SAMPLE maxDataAmplitudeDisplayed;
	
	//Draw a horizontal line at y=0?
	bool drawZeroLine;

};

#endif