#include "playhead.h"

void Playhead :: draw()
{
  glColor4f( 0.0, 1.2*136/255.0, 1.2*158/255.0, 0.8);
  glLineWidth( 2.0 );	  	
	
	if( xMin >= xMinDisp && xMin <= xMaxDisp)
	{
	 	glBegin( GL_LINES );
	 		glVertex3f(xMin, yMin, 0.0);
	 		glVertex3f(xMin, yMax, 0.0);
		glEnd();
	}
	
	if( playLength != 0 && playRegionOn )
	{
		glColor4f( 0.0, 136/255.0, 158/255.0, 0.4);
		
		float currXMin;
		float currXMax;
		
		if( xMax > xMin )
		{
			currXMin = xMin;
			currXMax = xMax;	
		}
		else
		{
			currXMin = xMax;
			currXMax = xMin;	
		}
		
		if( currXMin < xMinDisp )
			currXMin = xMinDisp;
			
		if( currXMax > xMaxDisp )
			currXMax = xMaxDisp;
		
		glRectf( currXMin, yMin, currXMax, yMax );
	}
		
}


void Playhead :: drawWithOffset(float pixelOffsetIn)
{
	float yMinDisp = yMin + pixelOffsetIn;
	float yMaxDisp = yMax + pixelOffsetIn;
	
  glColor4f( 0.0, 1.2*136/255.0, 1.2*158/255.0, 0.8);
  glLineWidth( 2.0 );	  	
	
	if( xMin >= xMinDisp && xMin <= xMaxDisp)
	{
	 	glBegin( GL_LINES );
	 		glVertex3f(xMin, yMinDisp, 0.0);
	 		glVertex3f(xMin, yMaxDisp, 0.0);
		glEnd();
	}
	
	if( playLength != 0 && playRegionOn )
	{
		glColor4f( 0.0, 136/255.0, 158/255.0, 0.4);
		
		float currXMin;
		float currXMax;
		
		if( xMax > xMin )
		{
			currXMin = xMin;
			currXMax = xMax;	
		}
		else
		{
			currXMin = xMax;
			currXMax = xMin;	
		}
		
		if( currXMin < xMinDisp )
			currXMin = xMinDisp;
			
		if( currXMax > xMaxDisp )
			currXMax = xMaxDisp;
		
		glRectf( currXMin, yMinDisp, currXMax, yMaxDisp );
	}
		
}



bool Playhead :: isInPlayRegion(Point2D mouseLoc)
{
	if( playRegionOn )
	{
		//must check for both xMax > xMin and xMax < xMin cases
		if( ((xMax > xMin) && isInside(mouseLoc)) || ((xMax < xMin) && ((mouseLoc.x >= xMax) && (mouseLoc.x <= xMin) && (mouseLoc.y <= yMax) && (mouseLoc.y >= yMin)) ) )
			return true;
	}	
	
	return false;
}