#ifndef PLAYHEAD
#define PLAYHEAD

//Class for the acquire waveform display playhead

#include "uiElement.h"

class Playhead : public UiElement
{
public:

	//Constructor
	Playhead(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, float xMinDispIn, float xMaxDispIn, long startSampleIn = -1, long playLengthIn = 0, bool playRegionOnIn = false): UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn), xMinDisp(xMinDispIn), xMaxDisp(xMaxDispIn), startSample(startSampleIn), playLength(playLengthIn), playRegionOn(playRegionOnIn) {};
	
	//Destructor
	~Playhead() {};
	
	void draw();
	void drawWithOffset(float pixelOffsetIn);
	
	void setXMin(float xIn) { xMin = xIn; }
	void setXMax(float xIn) { xMax = xIn; }
	
	void setStartSample(long startSampleIn) { startSample = startSampleIn; }
	void setPlayLength(long playLengthIn) { playLength = playLengthIn; }
	void setPlayRegionOn(bool playRegionOnIn) { playRegionOn = playRegionOnIn; }
	
	long getStartSample() { return startSample; } 
	long getPlayLength() { return playLength; }
	bool isInPlayRegion(Point2D mouseLoc);
	
	void setYPositions(float yMinIn, float yMaxIn) { yMin = yMinIn; yMax = yMaxIn; };
	void setXMinMaxDisp(float xMinDispIn, float xMaxDispIn) { xMinDisp = xMinDispIn; xMaxDisp = xMaxDispIn; };
	
protected:

	long startSample;
	long playLength;
	bool playRegionOn;
	
	float xMinDisp;
	float xMaxDisp;
};

#endif