#ifndef PROCESS_ITEM_DISPLAY
#define PROCESS_ITEM_DISPLAY

//Class for process items in process display menu

#include "uiElement.h"
#include <string>
#include <vector>

class ProcessItemDisplay : public UiElement
{
public:

	//Constructor
	ProcessItemDisplay(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, std::string itemNameIn, std::string descriptionIn, bool selectedIn = false) : UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn), itemName(itemNameIn), description(descriptionIn), selected(selectedIn) {};
	
	//Destructor
	~ProcessItemDisplay() {};
	
	void mouseDown(Point2D mouseLoc);
	void mouseUp(Point2D mouseLoc);
  void mouseMotion(Point2D mouseLoc);
  
	void draw();
	void drawWithOffset(float pixelOffsetIn);
	
	bool isSelected() { return selected; };
	std::string getName() { return itemName; };
	std::string getDescription() { return description; };
	
protected:

	std::string itemName;	
	std::string description;

	bool selected;

};
#endif