#include "processWindow.h"

ProcessWindow :: ProcessWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn) : UiElement(xMinIn, xMaxIn, yMinIn, yMaxIn)
{
	titleBarHeight = 23.0;	
	processLoaded = false;
}


void ProcessWindow :: draw()
{
  glColor3f( 1.0, 1.0, 1.0);
  glLineWidth( 1.0 );	  	

 	glBegin( GL_LINE_STRIP );
 		glVertex3f(xMin, yMin, 0.0);
 		glVertex3f(xMin, yMax, 0.0);
 		glVertex3f(xMax, yMax, 0.0);
 		glVertex3f(xMax, yMin, 0.0);
 		glVertex3f(xMin, yMin, 0.0);
	glEnd();
	
	if( processLoaded )
	{
		
 	//Title bar	
	
	glColor3f( 0.4, 0.4, 0.4 );
	glRectf( xMin + 1, yMax - 1 - titleBarHeight - 1, xMax - 1, yMax - 1);	

	glColor3f( 1.0, 1.0, 1.0 );			
	glBegin( GL_LINE_STRIP );
		glVertex3f( xMin, yMax - 1 - titleBarHeight - 1, 0.0);
		glVertex3f( xMax, yMax - 1 - titleBarHeight - 1, 0.0);		
	glEnd();

	glColor3f( 1.0, 1.0, 1.0 );							
	bitmapString( currentProcess->getName().c_str(), xMin + (xMax - xMin - 85.5)/2.0, yMax - titleBarHeight + 4, 99999, 2);
	
	}
	else	
	{
		glColor3f( 0.4, 0.4, 0.4 );
		bitmapString( "No Process Loaded", xMin + (xMax - xMin)/2.0 - 81.3, yMin + (yMax - yMin)/2.0 - 7, 99999, 2);		
	}
	
}


void ProcessWindow :: setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn)
{
	xMin = xMinIn;
	xMax = xMaxIn;
	yMin = yMinIn;
	yMax = yMaxIn;	
}