#ifndef PROCESSES_BROWSE_WINDOW
#define PROCESSES_BROWSE_WINDOW

//Class which manages the installed processes, used in the create view

#include "uiElement.h"
#include "blockItemScrollBar.h"
#include "processItemDisplay.h"
#include "processWindow.h"
#include <vector>
#include <string>
#include <iostream>

class ProcessesBrowseWindow : public UiElement
{
public:
		
	//Constructor
	ProcessesBrowseWindow(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, float windowWidthIn, float windowHeightIn, ProcessWindow* processWindowIn);
	
	//Destructor
	~ProcessesBrowseWindow();
	
	void draw();

	void mouseDown(Point2D mouseLoc);
	void mouseUp(Point2D mouseLoc);
  void mouseMotion(Point2D mouseLoc);  	
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, float windowWidthIn, float windowHeightIn);
	
	void scrollToBottom();
	void scrollToIncludeActive();
	void changeSelectedItem(bool up);
	void openActiveItem();


protected:

	std::vector<ProcessItemDisplay*> itemDisplays;
	int activeItem;	
	
	float scrollableMenuWidth;
	
	float entryHeight;
	float scrollBarWidth;
	float titleBarHeight;
	
	float windowWidth;
	float windowHeight;	
	
	float itemDisplayPaddingX;
	float itemDisplayPaddingY;
	
  float minDisplayedPixelOffset;
  long numItemsFitDisplay;
  long minItemIndexDisplayed;
  	
	BlockItemScrollBar* vScroll;	
	
	ProcessWindow* processWindow;
	
	void loadProcesses();

};
#endif