#ifndef SCROLLBAR
#define SCROLLBAR

//Class for UI scrollbar element

#include "uiElement.h"
#include <math.h>
#include <iostream>

class ScrollBar : public UiElement
{
public:

	//Constructor
	ScrollBar(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, bool horizIn, long indexLengthIn, long minIndexActiveIn, long maxIndexActiveIn);
	
	//Destructor
	~ScrollBar() {};
	
	void draw();
	
	void mouseDown(Point2D point);
	void mouseUp(Point2D point);
  void mouseMotion(Point2D point);
  
  bool isInsideActiveRect(Point2D point) { return ((point.x >= activeRectMinX) && (point.x <= activeRectMaxX)); };
  
  void changeIndexScale(long newIndexLength);
  long getMinIndexActive() { return minIndexActive; }
  long getMaxIndexActive() { return maxIndexActive; }
  
	void setPosition(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn);  

protected:
	
	bool horiz;	//Horizontal scrollbar? If not, it is vertical
	long maxIndex;
	long minIndexActive;
	long maxIndexActive;
	
	float activeRectMinX;
	float activeRectMaxX;
	float minimumActiveRectWidth;	
	
	Point2D initialMouseLoc;
	long initialActiveWidth;
	long initialCenterIndexActive;
	

};

#endif