#ifndef WAVEFORM_DISPLAY_WITH_SCROLL
#define WAVEFORM_DISPLAY_WITH_SCROLL

//Class for a waveform display with zoom in/out and scrolling functionality

#include "uiElement.h"
#include "scrollBar.h"
#include "lineDisplay2D.h"
#include <math.h>
#include <iostream>

class WaveformDisplayWithScroll : public UiElement
{
public:

	//Constructor
	WaveformDisplayWithScroll(float xMinIn, float xMaxIn, float yMinIn, float yMaxIn, SAMPLE** dataIn, int numChannelsIn, long dataLengthIn, bool scrollOnBottom = true, int numChannelsDisplayedIn = 0);

	//Destructor
	~WaveformDisplayWithScroll();
	
	void draw();
	
	void mouseDown(Point2D point);
	void mouseUp(Point2D point);
  void mouseMotion(Point2D point);

protected:

	SAMPLE** data;
	SAMPLE* monoData;	//Stores a mono mix if data is stereo for summary display
	int numChannels;
	long dataLength;
	int numChannelsDisplayed;
	
	float scrollBarWidth;
	float waveformDisplayPadding;
	
	ScrollBar* hScroll;
	LineDisplay2D** waveformDisplays;

};

#endif